Skip to main content
GET
/
fleet
/
documents
/
{id}
Fetch document
curl --request GET \
  --url https://api.samsara.com/fleet/documents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "createdAtTime": "2009-03-03T07:48:13Z",
    "documentType": {
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "name": "Fleet Truck List"
    },
    "driver": {
      "id": "45646",
      "externalIds": {},
      "name": "Driver Bob"
    },
    "fields": [
      {
        "label": "Load weight",
        "type": "photo",
        "value": {
          "barcodeValue": [
            {
              "barcodeType": "org.gs1.EAN-13",
              "barcodeValue": "0853883003114"
            }
          ],
          "dateTimeValue": {
            "dateTime": "2002-02-18T15:38:47Z"
          },
          "multipleChoiceValue": [
            {
              "selected": false,
              "value": "Yes"
            }
          ],
          "numberValue": 123.456,
          "photoValue": [
            {
              "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
              "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
            }
          ],
          "scannedDocumentValue": [
            {
              "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
              "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
            }
          ],
          "signatureValue": {
            "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
            "name": "John Smith",
            "signedAtTime": "1985-01-18T04:30:49Z",
            "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
          },
          "stringValue": "Red Truck"
        }
      }
    ],
    "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
    "state": "submitted",
    "conditionalFieldSections": [
      {
        "conditionalFieldFirstIndex": 7614788251245023000,
        "conditionalFieldLastIndex": 4183211541072084000,
        "triggeringFieldIndex": 4033010555242500600,
        "triggeringFieldValue": "Optiona 1"
      }
    ],
    "name": "Dropoff Slip 123",
    "notes": "Missing a crate",
    "route": {
      "id": "131313",
      "externalIds": {},
      "name": "Pineapple delivery"
    },
    "routeStop": {
      "externalIds": {},
      "id": "494123",
      "name": "Company Warehouse #1"
    },
    "updatedAtTime": "1992-02-28T12:42:58Z",
    "vehicle": {
      "externalIds": {},
      "id": "494123",
      "name": "Fleet Truck #1"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the document

Response

OK response.

data
object

A single document.